admin_order_preferences:
  path: /
  methods: [ GET ]
  defaults:
    _controller: 'PrestaShopBundle\Controller\Admin\Configure\ShopParameters\OrderPreferencesController::indexAction'
    _legacy_controller: AdminOrderPreferences
    _legacy_link: AdminOrderPreferences

admin_order_preferences_general_save:
  path: /general
  methods: [ PATCH, POST ]
  defaults:
    _controller: 'PrestaShopBundle\Controller\Admin\Configure\ShopParameters\OrderPreferencesController::processGeneralFormAction'
    _legacy_controller: AdminOrderPreferences
    _legacy_link: AdminOrderPreferences:update

admin_order_preferences_gift_options_save:
  path: /gift-options
  methods: [ PATCH, POST ]
  defaults:
    _controller: 'PrestaShopBundle\Controller\Admin\Configure\ShopParameters\OrderPreferencesController::processGiftOptionsFormAction'
    _legacy_controller: AdminOrderPreferences
